stk1000bsp in ubuntu

Go To Last Post
3 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I get this error when trying to install the bsp

eaa@eaa-desktop:~$ sudo apt-get install stk1000bsp 
Password:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  stk1000bsp: Depends: avr32gdbproxy but it is not going to be installed
              Depends: avr32program but it is not going to be installed
              Depends: avr32trace but it is not going to be installed
              Depends: libavr32ocd1 but it is not going to be installed
E: Broken packages
eaa@eaa-desktop:~$ 

The last info in sources.list is

deb http://www.atmel.no/beta_ware/avr32/ubuntu/dapper binary/ 

Life's to short for waiting on slow CPU's

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Did you do an update first?

apt-get update

And I think the repository on atmel.no is still not updated with the new packages, I heard it should happen in the start of this week.

Hans-Christian

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I uncommented(commented out by default) some of the sources in the list and then everything worked out just fine. :)

Life's to short for waiting on slow CPU's